# We have a conf and classes directory, add to BBPATH
BBPATH =. "${LAYERDIR}:"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

# This bbappend breaks SRC_URI setting in crun, so we need to mask it
BBMASK .= "|${RDKROOT}/meta-cmf/recipes-containers/crun/crun_%.bbappend"

BBFILE_COLLECTIONS += "meta-lcm"
BBFILE_PATTERN_meta-lcm = "^${LAYERDIR}/"

LAYERDEPENDS_meta-lcm = "core"
LAYERSERIES_COMPAT_meta-lcm = "honister dunfell kirkstone"
LAYERDEPENDS_meta-lcm += "meta-amx"

GIT_BASE_URL ?= "gitlab.com/soft.at.home"

PREFERRED_VERSION_cmake-native_dunfell ?= "3.18.4"

PREFERRED_VERSION_crun ?= "1.6"

# Toggle the lines below to switch between:
# - OCI images and lxc runtime
# - OCI bundles and crun runtime
DISTRO_FEATURES_append = " lcm-images lxc-backend "
# DISTRO_FEATURES_append = " lcm-bundles crun-backend "
